accrue.analysis.signatures

## Class AnalysisSignatures

- java.lang.Object
- - accrue.analysis.signatures.AnalysisSignatures

-     public class AnalysisSignatures
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisSignatures()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(java.lang.String fullClassName, java.lang.String methodName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName1, java.lang.Object sig1, java.lang.String analysisName2, java.lang.Object sig2)`
    `protected void` | `add(java.lang.String fullClassName, java.lang.String methodName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName1, java.lang.Object sig1, java.lang.String analysisName2, java.lang.Object sig2, java.lang.String analysisName3, java.lang.Object sig3)`
    `protected void` | `add(java.lang.String fullClassName, java.lang.String methodName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName1, java.lang.Object sig1, java.lang.String analysisName2, java.lang.Object sig2, java.lang.String analysisName3, java.lang.Object sig3, java.lang.String analysisName4, java.lang.Object sig4)`
    `protected <T> void` | `add(java.lang.String fullClassName, java.lang.String methodName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName, T sig)`
    `protected void` | `addConstructor(java.lang.String fullClassName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName1, java.lang.Object sig1, java.lang.String analysisName2, java.lang.Object sig2)`
    `protected void` | `addConstructor(java.lang.String fullClassName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName1, java.lang.Object sig1, java.lang.String analysisName2, java.lang.Object sig2, java.lang.String analysisName3, java.lang.Object sig3)`
    `protected void` | `addConstructor(java.lang.String fullClassName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName1, java.lang.Object sig1, java.lang.String analysisName2, java.lang.Object sig2, java.lang.String analysisName3, java.lang.Object sig3, java.lang.String analysisName4, java.lang.Object sig4)`
    `protected <T> void` | `addConstructor(java.lang.String fullClassName, java.util.List<java.lang.String> argTypes, java.lang.String analysisName, T sig)`
    `protected static java.util.List<java.lang.String>` | `List(java.lang.String s1)`
    `protected static java.util.List<java.lang.String>` | `List(java.lang.String s1, java.lang.String s2)`
    `protected static java.util.List<java.lang.String>` | `List(java.lang.String s1, java.lang.String s2, java.lang.String s3)`
    `<T> SignatureRepository<T>` | `signatureRepository(java.lang.String analysisName)` Get a signature repository for a given analysis name.
    `protected SignatureRepository` | `signatureRepository(java.lang.String analysisName, boolean createIfNeeded)` Get a signature repository for a given analysis name, creating one if requested.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisSignatures

          public AnalysisSignatures()

  - ### Method Detail

    - #### signatureRepository

          public <T> SignatureRepository<T> signatureRepository(java.lang.String analysisName)

      Get a signature repository for a given analysis name.

    - #### signatureRepository

          protected SignatureRepository signatureRepository(java.lang.String analysisName,
                                                boolean createIfNeeded)

      Get a signature repository for a given analysis name, creating one if requested.

    - #### add

          protected <T> void add(java.lang.String fullClassName,
                     java.lang.String methodName,
                     java.util.List<java.lang.String> argTypes,
                     java.lang.String analysisName,
                     T sig)

    - #### add

          protected void add(java.lang.String fullClassName,
                 java.lang.String methodName,
                 java.util.List<java.lang.String> argTypes,
                 java.lang.String analysisName1,
                 java.lang.Object sig1,
                 java.lang.String analysisName2,
                 java.lang.Object sig2)

    - #### add

          protected void add(java.lang.String fullClassName,
                 java.lang.String methodName,
                 java.util.List<java.lang.String> argTypes,
                 java.lang.String analysisName1,
                 java.lang.Object sig1,
                 java.lang.String analysisName2,
                 java.lang.Object sig2,
                 java.lang.String analysisName3,
                 java.lang.Object sig3)

    - #### addConstructor

          protected <T> void addConstructor(java.lang.String fullClassName,
                                java.util.List<java.lang.String> argTypes,
                                java.lang.String analysisName,
                                T sig)

    - #### addConstructor

          protected void addConstructor(java.lang.String fullClassName,
                            java.util.List<java.lang.String> argTypes,
                            java.lang.String analysisName1,
                            java.lang.Object sig1,
                            java.lang.String analysisName2,
                            java.lang.Object sig2)

    - #### addConstructor

          protected void addConstructor(java.lang.String fullClassName,
                            java.util.List<java.lang.String> argTypes,
                            java.lang.String analysisName1,
                            java.lang.Object sig1,
                            java.lang.String analysisName2,
                            java.lang.Object sig2,
                            java.lang.String analysisName3,
                            java.lang.Object sig3)

    - #### addConstructor

          protected void addConstructor(java.lang.String fullClassName,
                            java.util.List<java.lang.String> argTypes,
                            java.lang.String analysisName1,
                            java.lang.Object sig1,
                            java.lang.String analysisName2,
                            java.lang.Object sig2,
                            java.lang.String analysisName3,
                            java.lang.Object sig3,
                            java.lang.String analysisName4,
                            java.lang.Object sig4)

    - #### add

          protected void add(java.lang.String fullClassName,
                 java.lang.String methodName,
                 java.util.List<java.lang.String> argTypes,
                 java.lang.String analysisName1,
                 java.lang.Object sig1,
                 java.lang.String analysisName2,
                 java.lang.Object sig2,
                 java.lang.String analysisName3,
                 java.lang.Object sig3,
                 java.lang.String analysisName4,
                 java.lang.Object sig4)

    - #### List

          protected static java.util.List<java.lang.String> List(java.lang.String s1)

    - #### List

          protected static java.util.List<java.lang.String> List(java.lang.String s1,
                                              java.lang.String s2)

    - #### List

          protected static java.util.List<java.lang.String> List(java.lang.String s1,
                                              java.lang.String s2,
                                              java.lang.String s3)